package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.Black;

/**
 * 黑名单Service接口
 *
 * @author 77
 * @date 2024-01-04
 */
public interface BlackService extends IService<Black> {

    boolean addBlack(Black black);

    boolean updateBlackStatus(Long id, Integer enableStatus);

    boolean deleteBlack(Long id);

    boolean checkBlackIp(String ip);

    boolean checkBlackMic(String ip);
}
